%{?scl:%scl_package objectweb-asm}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}objectweb-asm
Version:        5.0.4
Release:        %mkrel 2
Group:          Development/Java
Summary:        Java bytecode manipulation and analysis framework
License:        BSD
URL:            http://asm.ow2.org/
BuildArch:      noarch

Source0:        http://download.forge.ow2.org/asm/asm-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  ant
BuildRequires:  aqute-bnd
BuildRequires:  maven-local
%{?scl:Requires: %scl_runtime}

Obsoletes:      %{?scl_prefix}objectweb-asm4 < 5
Provides:       %{?scl_prefix}objectweb-asm4 = %{version}-%{release}

%description
ASM is an all purpose Java bytecode manipulation and analysis
framework.  It can be used to modify existing classes or dynamically
generate classes, directly in binary form.  Provided common
transformations and analysis algorithms allow to easily assemble
custom complex transformations and code analysis tools.

%package        javadoc
Summary:        API documentation for %{pkg_name}

%description    javadoc
This package provides %{summary}.

%prep
%setup -q -n asm-%{version}
find -name *.jar -delete

sed -i /Class-Path/d archive/*.bnd
sed -i "s/Import-Package:/&org.objectweb.asm,org.objectweb.asm.util,/" archive/asm-xml.bnd
sed -i "s|\${config}/biz.aQute.bnd.jar|`build-classpath aqute-bnd`|" archive/*.xml
sed -i -e '/kind="lib"/d' -e 's|output/eclipse|output/build|' .classpath

%build
%ant -Dobjectweb.ant.tasks.path= jar jdoc

%install
%{?scl:scl enable %{scl} - <<"EOF"}
%mvn_artifact output/dist/lib/asm-parent-%{version}.pom
for m in asm asm-analysis asm-commons asm-tree asm-util asm-xml all/asm-all all/asm-debug-all; do
    %mvn_artifact output/dist/lib/${m}-%{version}.pom \
                  output/dist/lib/${m}-%{version}.jar
done
%mvn_install -J output/dist/doc/javadoc/user
%{?scl:EOF}

%jpackage_script org.objectweb.asm.xml.Processor "" "" %{pkg_name}/asm:%{pkg_name}/asm-attrs:%{pkg_name}/asm-util:%{pkg_name}/asm-xml %{pkg_name}-processor true

%files -f .mfiles
%doc LICENSE.txt README.txt
%{_bindir}/%{pkg_name}-processor
%dir %{_javadir}/%{pkg_name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt




%changelog
* Wed Feb 24 2016 neoclust <neoclust> 5.0.4-2.mga6
+ Revision: 977750
- First rebuild of the java stack
- sync package objectweb-asm with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 5.0.2-3.mga5
+ Revision: 806545
- obsoletes forgotten objectweb-asm4-javadoc package
- attribute the objectweb-asm-javadoc package to Documentation group

* Thu Dec 25 2014 pterjan <pterjan> 5.0.2-2.mga5
+ Revision: 805678
- Clean rebuild
- Sync with Fedora 21 (Update to 5.0.2)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 745632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 682967
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 dmorgan <dmorgan> 5.0.1-1.mga5
+ Revision: 612577
- New version

* Tue Oct 22 2013 umeabot <umeabot> 0:3.3.1-10.mga4
+ Revision: 545804
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 dmorgan <dmorgan> 0:3.3.1-9.mga4
+ Revision: 501847
- Obsoletes old versions

* Fri Sep 20 2013 dmorgan <dmorgan> 0:3.3.1-8.mga4
+ Revision: 482627
- Rebuild against new javapackages

* Sat Jul 13 2013 dmorgan <dmorgan> 0:3.3.1-7.mga4
+ Revision: 453780
- Make jetty orbit depmap point to asm-all jar

* Sat Jul 13 2013 dmorgan <dmorgan> 0:3.3.1-6.mga4
+ Revision: 453776
- Add depmap for org.eclipse.jetty.orbit

* Sun Feb 17 2013 dmorgan <dmorgan> 0:3.3.1-5.mga3
+ Revision: 398876
- Clean spec file

* Sat Jan 12 2013 umeabot <umeabot> 0:3.3.1-4.mga3
+ Revision: 361100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 dmorgan <dmorgan> 0:3.3.1-3.mga2
+ Revision: 187560
- Use poms produced by the build not foreign ones. (Fedora)

* Wed Jul 20 2011 dmorgan <dmorgan> 0:3.3.1-2.mga2
+ Revision: 127026
- Fix groups

* Tue Jul 19 2011 dmorgan <dmorgan> 0:3.3.1-1.mga2
+ Revision: 126075
- Update to version 3.3.1

* Mon Jan 17 2011 dmorgan <dmorgan> 0:3.2-1.mga1
+ Revision: 21686
- remove fc macros
- imported package objectweb-asm


* Tue Jul 13 2010 Orion Poplawski <orion@cora.nwra.com>  0:3.2.1-2
- Change depmap parent id to asm (bug #606659)

* Thu Apr 15 2010 Fernando Nasser <fnasser@redhat.com> 0:3.2.1
- Upgrade to 3.2

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:3.1-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:3.1-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 23 2008 David Walluck <dwalluck@redhat.com> 0:3.1-5.1
- build for Fedora

* Tue Oct 23 2008 David Walluck <dwalluck@redhat.com> 0:3.1-5
- add OSGi manifest (Alexander Kurtakov)

* Mon Oct 20 2008 David Walluck <dwalluck@redhat.com> 0:3.1-4
- remove Class-Path from MANIFEST.MF
- add unversioned javadoc symlink
- remove javadoc scriptlets
- fix directory ownership
- remove build requirement on dos2unix

* Fri Feb 08 2008 Ralph Apel <r.apel@r-apel.de> - 0:3.1-3jpp
- Add poms and depmap frags with groupId of org.objectweb.asm !
- Add asm-all.jar 
- Add -javadoc Requires post and postun
- Restore Vendor, Distribution

* Thu Nov 22 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.1-2jpp
- Fix EOL of txt files
- Add dependency on jaxp 

* Thu Nov 22 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.1-1jpp
- Upgrade to 3.1

* Wed Aug 22 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.0-1jpp
- Upgrade to 3.0
- Rename to include objectweb- prefix as requested by ObjectWeb

* Thu Jan 05 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.1-2jpp
- First JPP 1.7 build

* Thu Oct 06 2005 Ralph Apel <r.apel at r-apel.de> 0:2.1-1jpp
- Upgrade to 2.1

* Fri Mar 11 2005 Sebastiano Vigna <vigna at acm.org> 0:2.0.RC1-1jpp
- First release of the 2.0 line.
